pesa        15/06/13 23:05:46

  Modified:             qt4-build-multilib.eclass
  Log:
  Use -execdir instead of xargs.

Revision  Changes    Path
1.26                 eclass/qt4-build-multilib.eclass

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/qt4-build-multilib.eclass?rev=1.26&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/qt4-build-multilib.eclass?rev=1.26&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/qt4-build-multilib.eclass?r1=1.25&r2=1.26

Index: qt4-build-multilib.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/qt4-build-multilib.eclass,v
retrieving revision 1.25
retrieving revision 1.26
diff -u -r1.25 -r1.26
--- qt4-build-multilib.eclass   13 Jun 2015 22:57:59 -0000      1.25
+++ qt4-build-multilib.eclass   13 Jun 2015 23:05:46 -0000      1.26
@@ -1,6 +1,6 @@
 # Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/qt4-build-multilib.eclass,v 1.25 
2015/06/13 22:57:59 pesa Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/qt4-build-multilib.eclass,v 1.26 
2015/06/13 23:05:46 pesa Exp $
 
 # @ECLASS: qt4-build-multilib.eclass
 # @MAINTAINER:
@@ -209,8 +209,8 @@
 
        # Drop -nocache from qmake invocation in all configure tests, to ensure 
that the
        # correct toolchain and build flags are picked up from 
config.tests/.qmake.cache
-       find config.tests/unix -name '*.test' -type f -print0 | xargs -0 \
-               sed -i -e '/bin\/qmake/s/ -nocache//' || die "sed -nocache 
failed"
+       find config.tests/unix -name '*.test' -type f -execdir \
+               sed -i -e '/bin\/qmake/s/-nocache//' '{}' + || die "sed 
-nocache failed"
 
        # compile.test needs additional patching so that it doesn't create 
another cache file
        # inside the test subdir, which would incorrectly override 
config.tests/.qmake.cache




Reply via email to